# API Reference

- [Open-API](https://docs.nftrainbow.xyz/api-reference/open-api.md): Open-APIs help users to create NFTs easily
- [Login](https://docs.nftrainbow.xyz/api-reference/open-api/login.md): Rainbow-APIs is based on JWT. In order to use the open APIs, login APIs provide us entries to get the JWT.
- [Files](https://docs.nftrainbow.xyz/api-reference/open-api/files.md): The files APIs provide users to make preparations for creating NFTs including uploading files and the corresponding query functions.
- [Metadata](https://docs.nftrainbow.xyz/api-reference/open-api/metadata.md): The metadata APIs provide users to make preparations for creating NFTs including creating NFT metadata and the corresponding query functions.
- [Contract](https://docs.nftrainbow.xyz/api-reference/open-api/contract.md): The contract API provide users the entries to interact with the ERC721 contracts, including deploying the contracts, setting the sponsors and so on.
- [Mints](https://docs.nftrainbow.xyz/api-reference/open-api/mints.md): The Mints APIs provide users the entries to mint the NFTs by calling the method in the ERC721 or ERC1155 contract.
- [Transfers](https://docs.nftrainbow.xyz/api-reference/open-api/transfers.md): The Transfer APIs provide users the entries to tranfer the NFTs easily.
- [Transaction](https://docs.nftrainbow.xyz/api-reference/open-api/transaction.md): The transaction API provide users the entries to interact with the transactions.
- [NFT](https://docs.nftrainbow.xyz/api-reference/open-api/nft.md): The nft API provide users the entries to interact with the NFTs.
- [Burns](https://docs.nftrainbow.xyz/api-reference/open-api/burns.md): The burns API provide users the entries to burn the NFTs.
- [SDKs](https://docs.nftrainbow.xyz/api-reference/sdks.md)
- [Common Errors](https://docs.nftrainbow.xyz/api-reference/common-errors.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftrainbow.xyz/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
